Bug 130561 - Update www/dansguardian to 2.10.0.2
Summary: Update www/dansguardian to 2.10.0.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-14 20:50 UTC by fjwcash
Modified: 2009-02-01 18:30 UTC (History)
0 users

See Also:


Attachments
dansguardian.patch (36.91 KB, patch)
2009-01-14 20:50 UTC, fjwcash
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fjwcash 2009-01-14 20:50:00 UTC
DansGuardian 2.10 has been released and marked as the new stable branch.

Update www/dansguardian port to new release.

Note:  There are a *lot* of changes to config files, formats, etc.
       As such, the upgrade path is to backup all config files,
       uninstall DG, install new version, and manually merge the
       config file changes.
Comment 1 Edwin Groothuis freebsd_committer 2009-01-14 20:50:13 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2009-01-14 20:50:15 UTC
Maintainer of www/dansguardian,

Please note that PR ports/130561 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130561

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2009-01-14 20:50:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Freddie Cash 2009-01-14 20:58:05 UTC
On January 14, 2009 12:50 pm Edwin Groothuis wrote:
> Maintainer of www/dansguardian,
>
> Please note that PR ports/130561 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/130561

I approve of the patch, as I'm the one that submit it.  :)

Guess I should have submitted the maintainer e-mail change separately.

Trying to move my ports stuff off my work account to my gmail account.

-- 
Freddie Cash, LPIC-2 CCNT CCLP              WAN Specialist
School District 73                          (250) 377-HELP [377-4357]
fcash@sd73.bc.ca                            helpdesk@sd73.bc.ca
Comment 5 Dmitry Marakasov freebsd_committer 2009-01-14 22:06:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 6 Dmitry Marakasov 2009-01-15 00:47:06 UTC
> Synopsis: Update www/dansguardian to 2.10.0.2
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=130561

> Only in dansguardian/files: dansguardian.in
> Only in dansguardian.orig/files: dansguardian.sh.in
> Only in dansguardian.orig/files: patch-autoconf::fbsd.in
> Only in dansguardian.orig/files: patch-configure
> Only in dansguardian.orig/files: patch-dansguardian.8

Did you forget '-N' in diff command? While old files/* are to just
be removed, the patch didn't contain new file/dansguardian.in.

Also, the port does not configure.

http://people.freebsd.org/~amdmi3/dansguardian-2.10.0.2.log

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 7 fjwcash 2009-01-15 16:56:04 UTC
On January 14, 2009 4:47 pm Dmitry Marakasov wrote:
> > Synopsis: Update www/dansguardian to 2.10.0.2
> >
> > http://www.freebsd.org/cgi/query-pr.cgi?pr=130561
> >
> > Only in dansguardian/files: dansguardian.in
> > Only in dansguardian.orig/files: dansguardian.sh.in
> > Only in dansguardian.orig/files: patch-autoconf::fbsd.in
> > Only in dansguardian.orig/files: patch-configure
> > Only in dansguardian.orig/files: patch-dansguardian.8
>
> Did you forget '-N' in diff command? While old files/* are to just
> be removed, the patch didn't contain new file/dansguardian.in.
>
> Also, the port does not configure.
> http://people.freebsd.org/~amdmi3/dansguardian-2.10.0.2.log

Found it.  The build requires pkg-config, which was already installed on my 
build system.  I've updated BUILD_DEPENDS to include this.  Running through 
a couple test builds, then I'll send you an updated patch.

-- 
Freddie
fjwcash@gmail.com
Comment 8 Dmitry Marakasov freebsd_committer 2009-02-01 18:28:49 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2009-02-01 18:28:59 UTC
amdmi3      2009-02-01 18:28:44 UTC

  FreeBSD ports repository

  Modified files:
    www/dansguardian     Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Added files:
    www/dansguardian/files dansguardian.in 
  Removed files:
    www/dansguardian/files dansguardian.sh.in 
                           patch-autoconf::fbsd.in patch-configure 
                           patch-dansguardian.8 
  Log:
  - Update to 2.10.0.2
  - Update maintainer's email
  
  PR:             130561
  Submitted by:   Freddie Cash <fjwcash at gmail dot com> (maintainer)
  
  Revision  Changes    Path
  1.28      +100 -34   ports/www/dansguardian/Makefile
  1.15      +3 -3      ports/www/dansguardian/distinfo
  1.1       +28 -0     ports/www/dansguardian/files/dansguardian.in (new)
  1.4       +0 -30     ports/www/dansguardian/files/dansguardian.sh.in (dead)
  1.10      +0 -104    ports/www/dansguardian/files/patch-autoconf::fbsd.in (dead)
  1.8       +0 -56     ports/www/dansguardian/files/patch-configure (dead)
  1.4       +0 -11     ports/www/dansguardian/files/patch-dansguardian.8 (dead)
  1.4       +12 -12    ports/www/dansguardian/pkg-descr
  1.6       +6 -6      ports/www/dansguardian/pkg-message
  1.11      +367 -179  ports/www/dansguardian/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"